unit UDisplayOpt;
interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ComCtrls;

type
  TfrmDisplayOpt = class(TForm)
    grpDisplaySize: TRadioGroup;
    btnOK: TButton;
    btnCancel: TButton;
    cbDisplay: TComboBox;
    cbRealborder: TCheckBox;
    edFrameSkip: TEdit;
    UDFrames: TUpDown;
    procedure btnOKClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmDisplayOpt: TfrmDisplayOpt;

implementation

uses modMain, UMain;

{$R *.DFM}

procedure TfrmDisplayOpt.btnOKClick(Sender: TObject);
  var Ind : integer;
begin
 SetDisplay(cbDisplay.itemindex,cbRealBorder.checked,strtoint(edFrameSkip.text));

  Ind := grpDisplaySize.ItemIndex;
  If Ind = 0 Then
    SetDisplaySize(256, 192)
  Else If Ind = 1 Then
    SetDisplaySize(512, 384)
  Else If Ind = 2 Then
    SetDisplaySize(768, 576)
  Else
    SetDisplaySize(256, 192);
end;

procedure TfrmDisplayOpt.FormShow(Sender: TObject);
begin
    If glDisplayWidth = 256 Then
    begin
      grpDisplaySize.ItemIndex := 0
    end
    Else If glDisplayWidth = 512 Then
    begin
      grpDisplaySize.ItemIndex := 1
    end
    Else If glDisplayWidth = 768 Then
    begin
      grpDisplaySize.ItemIndex := 2;
    End;

  cbDisplay.ItemIndex:=byte(glDisplayMode);
  cbRealborder.checked:=glRealBorder;
end;

end.
