program Yase2;

uses
  Forms,
  ModAY8912 in 'Audio\modAY8912.pas',
  ModWaveOut in 'Audio\modWaveOut.pas',
  ModDisplay in 'Display\ModDisplay.pas',
  ModLoader in 'Tape\modLoader.pas',
  ModZ80 in 'CPU\modZ80.pas',
  ModPentagon in 'Machines\ModPentagon.pas',
  ModPlus2 in 'Machines\ModPlus2.pas',
  ModPlus3 in 'Machines\ModPlus3.pas',
  ModScorpion in 'Machines\ModScorpion.pas',
  ModZX128 in 'Machines\ModZX128.pas',
  ModZX48 in 'Machines\ModZX48.pas',
  ModMain in 'Machines\modMain.pas',
  UMain in 'UMain.pas' {frmMainWnd},
  UDebug in 'UDebug.pas' {frmDebug},
  UKeyboard in 'UKeyboard.pas' {frmKeyboard},
  USetup in 'USetup.pas' {frmSetup},
  UAbout in 'UAbout.pas' {frmAbout},
  ModMultiface in 'Machines\ModMultiface.pas',
  ModTape in 'Tape\ModTape.pas',
  ModBetadisk in 'Tape\ModBetadisk.pas',
  uwadd in 'uwadd.pas' {frmAddWatch},
  ubrkpnt in 'ubrkpnt.pas' {frmBreakPoint},
  UConsole in 'UConsole.pas' {frmConsole},
  UVideoRendererRGB in 'Display\UVideoRendererRGB.pas',
  UVideoRendererOverlay in 'Display\UVideoRendererOverlay.pas',
  UVideoRendererClass in 'Display\UVideoRendererClass.pas',
  UVideoRConst in 'Display\UVideoRConst.pas',
  UResolution in 'UResolution.pas';

{$R *.RES}

begin
  Application.Initialize;
  Application.Title := 'Yet another Spectrum Emulator';
  Application.CreateForm(TfrmMainWnd, frmMainWnd);
  Application.CreateForm(TfrmSetup, frmSetup);
  Application.CreateForm(TfrmDebug, frmDebug);
  Application.CreateForm(TfrmKeyboard, frmKeyboard);
  Application.CreateForm(TfrmAbout, frmAbout);
  Application.CreateForm(TfrmAddWatch, frmAddWatch);
  Application.CreateForm(TfrmBreakPoint, frmBreakPoint);
  Application.CreateForm(TfrmConsole, frmConsole);
  Application.Run;
end.
