unit ModPlus3;

interface

function Plus3inb(addr:Word) : byte;
procedure Plus3outb(addr:Word; outbyte : byte);

implementation uses ModBetadisk,ModMultiface,ModMain,ModLoader,ModAy8912,UMain,ModDisplay;

Function Plus3inb(addr:word) : byte;
var res,i : byte;
    port : pair absolute addr;
begin
    if glEmulatedTRDos then
    begin // TRDOS
      if (glPageAt[0]=nRomStart+3) and (port.l and 31>0) then
      begin
       i:=(port.l shr 4) and $e;
       if i<8 then betadisk.diskvg(i,res) else
       if i=$E then betadisk.diskvg(8,res);
       result:=res;
       exit;
     end;
   end;

        case port.l of
                  31: result:=StickValue; (* Kempston *)
                  63,191:  result:=mf3inb(port.w);
{$IFDEF USE_SOUND}
                  253: (* Ay-3-8912 *) result := AY8912.Regs[glSoundRegister];
{$ENDIF}
                  254: (* Keys *)
                    begin
                     res:=255;
                     if port.h and 128=0 then res:=res and keyB_SPC;
                     if port.h and 064=0 then res:=res and keyH_ENT;
                     if port.h and 032=0 then res:=res and keyY_P;
                     if port.h and 016=0 then res:=res and key6_0;
                     if port.h and 008=0 then res:=res and key1_5;
                     if port.h and 004=0 then res:=res and keyQ_T;
                     if port.h and 002=0 then res:=res and keyA_G;
                     if port.h and 001=0 then res:=res and keyCAPS_V;
                     result:=res;
                    end;
                else result:=255; (* Temporary *)
        end;
End;

procedure plus3OutBankm128(val:Byte);
begin
	if (glLastOut7FFD = val) or (glLastOut7FFD and $20>0) then exit;
        if (val and 8>0) then glUseScreen:=7 else glUseScreen:=5;

	glLastOut7FFD:= val;
	if (glLastOut1FFD and 1=0) then
	begin
	    	glPageAt[1]:=5;
		glPageAt[2]:=2;
		glPageAt[3]:=val and 7;
                if glpageat[0]<>nRomStart+4 {MF3} then
                 glPageAt[0]:=nRomStart+(((val and 16) shr 4) or ((glLastOut1FFD and 4) shr 1));
	end;
end;

procedure plus3OutBank678(val:byte);
begin
	if (glLastOut1FFD = val) or (glLastOut7FFD and $20>0) then exit;
	if (glLastOut1FFD and 1=0) then
	begin
         if glPageAt[0]<>nRomStart+4 {MF3} then
          glPageAt[0]:=nRomStart+(((glLastOut7FFD and 16) shr 4) or
							 ((val and 4) shr 1));
	end
	else
	begin
		case (val and 6) shr 1 of
                 0: begin
		     glPageAt[0]:=0;
		     glPageAt[1]:=1;
		     glPageAt[2]:=2;
		     glPageAt[3]:=3;
                    end;
		 1: begin
		     glPageAt[0]:=4;
		     glPageAt[1]:=5;
		     glPageAt[2]:=6;
		     glPageAt[3]:=7;
                    end;
     	         2: begin
		     glPageAt[0]:=4;
		     glPageAt[1]:=5;
		     glPageAt[2]:=6;
		     glPageAt[3]:=3;
                    end;
		 3: begin
		     glPageAt[0]:=4;
		     glPageAt[1]:=7;
		     glPageAt[2]:=6;
		     glPageAt[3]:=3;
                    end;
              end;
	end;
	glLastOut1FFD:= val;
end;

procedure Plus3outb(addr : Word; outbyte : byte);
var btemp:byte;
    port: Pair absolute addr;
begin
  if (glEmulatedTRDos) and (glPageAt[0]=nromstart+3) and
     (port.l and 31>0) then
   begin
    btemp:=(port.l shr 4);
    if btemp<8 then betadisk.diskvg(btemp,outbyte) else
    if btemp=$F then betadisk.diskvg(9,outbyte);
   end;

    If (port.l And $1) = 0 Then
    begin
     display.border:= (outbyte And $7);
     SpeakerOut(outbyte);
    end;

    if port.l=253 {0xfd} then
      case port.h shr 6 of
       0: plus3OutBank678(outbyte);
       1: plus3OutBankm128(outbyte);
       2: AY8912.Regs[glSoundRegister]:=outbyte;
       3: glSoundRegister:=outbyte and 15;
     end;

End;


end.
 