unit ModZX48;

interface

function ZX48inb(addr : Word) : byte;
procedure ZX48outb(addr : Word; outbyte : byte);

implementation uses ModBetadisk,ModMultiface,ModMain,ModLoader,ModAy8912,ModDisplay,UMain;

Function ZX48inb(addr : Word) : byte;
var res,i : byte;
    port  : Pair absolute addr;
begin
    if glEmulatedTRDos then
    begin // TRDOS
      if (glPageAt[0]=nRomStart+3) and (port.l and 31>0) then
      begin
       i:=(port.l shr 4) and $e;
       if i<8 then betadisk.diskvg(i,res) else
       if i=$E then betadisk.diskvg(8,res);
       result:=res;
       exit;
     end;
   end;

        case port.l of
                  31: result:=StickValue;
               63,191: result:=MF128inb(port.l);
                 253: result:=AY8912.Regs[glSoundRegister];
                 254:
                    begin
                     res:=255;
                     if port.h and 128=0 then res:=res and keyB_SPC;
                     if port.h and 064=0 then res:=res and keyH_ENT;
                     if port.h and 032=0 then res:=res and keyY_P;
                     if port.h and 016=0 then res:=res and key6_0;
                     if port.h and 008=0 then res:=res and key1_5;
                     if port.h and 004=0 then res:=res and keyQ_T;
                     if port.h and 002=0 then res:=res and keyA_G;
                     if port.h and 001=0 then res:=res and keyCAPS_V;
                     result:=res;
                    end;
                 255: result:=glvline and 255;
                else result:=255;
        end;
End;

procedure ZX48outb(addr : word; outbyte : byte);
var btemp:byte;
    port: Pair absolute addr;
begin
  if (glEmulatedTRDos) and (glPageAt[0]=nromstart+3) and
     (port.l and 31>0) then
   begin
    btemp:=(port.l shr 4);
    if btemp<8 then betadisk.diskvg(btemp,outbyte) else
    if btemp=$F then betadisk.diskvg(9,outbyte);
   end;

    If (port.w And $1) = 0 Then
    begin
        If display.border <> (outbyte And $7) Then
            display.border:= (outbyte And $7);
            SpeakerOut(outbyte);
    End;
End;


end.
